<?php
/**
* Global Color Settings.
*
* @package Trucking Company
*/

$trucking_company_default = trucking_company_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'trucking_company_global_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'trucking-company' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'trucking_company_theme_option_panel',
	)
);

$wp_customize->add_setting( 'trucking_company_global_color',
    array(
    'default'           => '#1037b6',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'trucking_company_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'trucking-company' ),
        'section'    => 'trucking_company_global_color_setting',
        'settings'   => 'trucking_company_global_color',
    ) ) 
);

$wp_customize->add_setting( 'trucking_company_secondary_color',
    array(
    'default'           => '#f68b21',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'trucking_company_secondary_color',
    array(
        'label'      => esc_html__( 'Seconday Color', 'trucking-company' ),
        'section'    => 'trucking_company_global_color_setting',
        'settings'   => 'trucking_company_secondary_color',
    ) ) 
);